package com.kallendorf.fsplugin.fsprotokolle;

import java.util.Arrays;
import java.util.Collection;

import org.jetbrains.annotations.NotNull;

import de.espirit.firstspirit.access.BaseContext;
import de.espirit.firstspirit.client.plugin.JavaClientEditorialToolbarItemsPlugin;
import de.espirit.firstspirit.client.plugin.toolbar.JavaClientToolbarItem;

public class FSProtokollPlugin implements JavaClientEditorialToolbarItemsPlugin{
    // Field definitions for objects that are required during the lifetime of a class instance.
    BaseContext _context;


    @Override
    public void setUp(@NotNull final BaseContext context) {
        _context = context;
    }


    @Override
    public void tearDown() {
    }


    @NotNull
    @Override
    public Collection<? extends JavaClientToolbarItem> getItems() {
        // Create and return an array list that includes individual button item objects.
        return (Collection<? extends JavaClientToolbarItem>) Arrays.asList(
            new FSProtokollMenuItem()
        );
    }

}
